/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceContext.java 292 2006-05-02 07:30:43Z ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals;

import org.objectweb.util.monolog.api.Logger;

/**
 * @version	$Rev: 292 $ $Date: 2006-05-02 07:30:43Z $
 * @since	Petals 1.0
 * @author	<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 * TODO check if it is necessary to keep this class
 */
public interface ServiceContext {

	/**
	 * This method permits to fetch a Logger. If the Logger described by the
	 * parameters does not exist, then the ServiceContext must return a new
	 * instance of Logger. The key parameter is a description of the expected
	 * Logger. In simple cases, the key is the initial topic of the Logger.
	 *
	 * @param key
	 * @return a {@link Logger} instance.
	 */
	public Logger getLogger(String key);

	/**
	 * This method permits to fetch a Logger. If the Logger described by the
	 * parameters does not exist, then the ServiceContext must return a new
	 * instance of Logger. The key parameter is a description of the expected
	 * Logger. In simple cases, the key is the initial topic of the Logger.
	 * The resourceBundleName parameter allows specifying the name of a
	 * resource bundle in order to internationalise the logging.
	 *
	 * @param key
	 * @param resourceBundleName
	 * @return a {@link Logger} instance.
	 */
	public Logger getLogger(String key, String resourceBundleName);

}
