/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceBindingController.java 74 2006-01-17 17:12:07Z rmarins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.service;

/**
 * This interface define system service bindings controller to other services.
 *
 * @version	$Revision: 74 $ $Date: 2006-01-17 17:12:07Z $
 * @since	Petals 1.0
 * @author	<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public interface ServiceBindingController {

	String[] getInterfaces();

	Object lookup(String interfaceName);

	void bind(String clientInterfaceName, Object clientReference)
			throws NoSuchInterfaceException, IllegalBindingException,
			IllegalLifeCycleException;

	void unbind(String clientInterfaceName) throws NoSuchInterfaceException,
			IllegalBindingException, IllegalLifeCycleException;

}
